<template>
  <div>
    <div>
<CModal
      title="Info"
      size="sm"
      :show.sync="smallModal">
      {{ SuccessMsg }}

</CModal>


<CCardBody>
     <h5>Plant Master</h5>
   
    <CDataTable
      :items="items"
      :fields="fields"
      table-filter 
      items-per-page-select
      :items-per-page="5"
      pagination
      hover
      striped 
      border
      sorter
     >
   

<!--Adding Customs buttons to each row -->
    <template #show_details="{item}" >
      <CButton size="sm" color="info" class="ml-1"  @click="ShowUpdateModal=true; SelectPlant(item)"> Update </CButton>
      <CButton size="sm" color="danger" class="ml-1" @click="ShowDeleteModal=true; SelectPlant(item)" >Delete</CButton>
      <CButton size="sm" color="dark" class="ml-1" @click="ShowDetailsModal=true; SelectPlant(item)"> Details </CButton>
    </template>

    </CDataTable>
      <CButton size="sm" color="info" class="" @click="ShowAddModal=true"> New Plant</CButton>
  </CCardBody>

 </div>
<div id="overlay" v-if="ShowAddModal">
<div class="modal-dialog">

<div class="modal-content">
  <div class="modal-header">

    <h5 class="modal-title">New Plant</h5>
    <button type="button" class="close"  @click="ShowAddModal=false">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body p-7">
<form action="#" method="POST">

<!-- <div class="form-group"><label>Plant Id</label>
<input type="text" name="plantId" class="form-control form-control-sm" placeholder="plant Id" v-model="newPlant.plantId">
</div> -->

<div class="form-group"><label> Name</label>
<input type="text" name="plant_Name" class="form-control form-control-sm"  v-model="newPlant.plant_Name">
</div>

<div class="form-group"><label> Address</label>
<input type="text" name="plant_Address" class="form-control form-control-sm"  v-model="newPlant.plant_Address">
</div>

<!-- <div class="form-group"><label>Max Capacity</label>
<input type="text" name="plant_Status" class="form-control form-control-sm" placeholder="plant Status"  v-model="newPlant.plant_Status">
</div> -->



<div class="form-group">
<CButton size="sm" color="info" class=""  @click="ShowAddModal=false;addPlants();" > Add Plant </CButton>
</div>

</form>
 </div>
</div>
</div>
 </div>

<!-- Show Details Modal -->
<div id="overlay" v-if="ShowDetailsModal">
<div class="modal-dialog">

<div class="modal-content">
  <div class="modal-header">
    <h5 class="modal-title">Plant Details</h5>
    <button type="button" class="close"  @click="ShowDetailsModal=false">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
<div class="modal-body p-4">

<form action="#" method="POST">
<!-- <div class="form-group"><label>Plant Id</label>
<input type="text" name="plantId"  readonly class="form-control form-control-sm"  v-model="CurrentPlant.plantId">
</div> -->

<div class="form-group"><label>Plant Name</label>
<input type="text" name="plant_Name" readonly class="form-control form-control-sm"  v-model="CurrentPlant.plant_Name">
</div>

<div class="form-group"><label>Plant Address</label>
<input type="text" name="plant_Address" readonly class="form-control form-control-sm"  v-model="CurrentPlant.plant_Address">
</div>

<!-- <div class="form-group">
<input type="text" name="plant_Status" readonly class="form-control form-control-sm" placeholder="plant Status"  v-model="CurrentPlant.plant_Status">
</div> -->


<div class="form-group">
<button class="btn btn-info btn-block btn-sm"  @click="ShowDetailsModal=false;" > Close </button>
</div>
</form>

</div>
</div>
</div>
</div>

<!-- Show Update Modal -->
<div id="overlay" v-if="ShowUpdateModal">
<div class="modal-dialog">

<div class="modal-content">
  <div class="modal-header">
    <h5 class="modal-title">Update Plant</h5>
    <button type="button" class="close"  @click="ShowUpdateModal=false">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body p-4">
<form action="#" method="POST">
<!-- <div class="form-group"><label>Plant Id</label>
<input type="text" name="plantId" readonly class="form-control form-control-sm" placeholder="plant Id" v-model="newPlant.plantId">
</div> -->

<div class="form-group"><label>Plant Name</label>
<input type="text" name="plant_Name" class="form-control form-control-sm"  v-model="newPlant.plant_Name">
</div>

<div class="form-group"><label>Plant Address</label>
<input type="text" name="plant_Address" class="form-control form-control-sm"  v-model="newPlant.plant_Address">
</div>

<!-- <div class="form-group">
<input type="text" name="plant_Status" class="form-control form-control-sm" placeholder="plant Status"  v-model="CurrentPlant.plant_Status">
</div> -->


<div class="form-group">
<button class="btn btn-info btn-block btn-sm"  @click="ShowUpdateModal=false; SelectPlant(CurrentPlant);UpdatePlants();" > Update Plant </button>
</div>
</form>

</div>
</div>
</div>
</div>

<!-- Delete Modal -->
<div id="overlay" v-if="ShowDeleteModal">
<div class="modal-dialog">

<div class="modal-content">
  <div class="modal-header">

    <h5 class="modal-title">Delete Plant</h5>
    <button type="button" class="close"  @click="ShowDeleteModal=false">
    <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body p-4">
<h4 class="text-danger"> Are you sure want to delete the Plant ? </h4>
<h5> You are deleting {{ this.CurrentPlant.plantId +' || '+ this.CurrentPlant.plant_Name }}</h5>
<hr>
<button class="btn btn-danger btn-sm" @click="ShowDeleteModal=false; deleteItem(); "> Yes </button>
&nbsp;&nbsp;&nbsp;&nbsp;  
<button class="btn btn-success btn-sm" @click="ShowDeleteModal=false"> No </button>
</div>
</div>
</div>
</div>
</div>
</template>